%global drupalver 6
%{?rhel: %{expand: %%global drupal drupal%%{drupalver}}}
%if 0%{?fedora} >= 15
%global drupal drupal%{drupalver}
%endif
%{!?drupal: %{expand: %%global drupal drupal}}
# e.g. "/usr/share/drupal6"
%global drupalbase           %{_datadir}/%{drupal}
%global drupal_sites_all    %{drupalbase}/sites/all        
%global drupal_modules      %{drupal_sites_all}/modules
# Use upstream name as expressed in URL and tarball
%global modname             faq

Name:    drupal%{drupalver}-%{modname}
Version: 1.13
Release: 6%{?dist}
Summary: FAQ Module for Drupal6 
Group:   Applications/Publishing
License: GPLv2
URL:     http://drupal.org/project/%{modname}
Source0: http://ftp.drupal.org/files/projects/%{modname}-%{drupalver}.x-%{version}.tar.gz
Source1: %{name}-fedora-README.txt
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal6, php-pcre

%description
The Frequently Asked Questions (faq) module allows users, with appropriate 
permissions, to create question and answer pairs which they want displayed
on the 'faq' page.

%prep
%setup -qn %{modname}

%build
cp %{SOURCE1} .


%install
rm -rf %{buildroot}
install -p -d %{buildroot}%{drupal_modules}/%{modname}
find . -type f -exec install -m 0644 -D '{}' %{buildroot}%{drupal_modules}/%{modname}/'{}' \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc  %{name}-fedora-README.txt
%doc  %{drupal_modules}/%{modname}/LICENSE.txt
%exclude %{drupal_modules}/%{modname}/LICENSE.txt
%exclude %{drupal_modules}/%{modname}/%{name}-fedora-README.txt
%{drupal_modules}/%{modname}

%changelog
* Mon Mar 22 2013 Anderson Silva <ansilva@redhat.com> - 1.13-6
- add php-pcre virtual requirement
- fix LICENSE.txt

* Mon Jan 21 2013 Anderson Silva <ansilva@redhat.com> - 1.13-5
- fix %%files section for LICENSE.txt

* Thu Aug 9 2012 Anderson Silva <ansilva@redhat.com> - 1.13-4
- Update files section with LICENSE.txt

* Tue Jun 5 2012 Anderson Silva <ansilva@redhat.com> - 1.13-3
- Update description

* Fri Mar 9 2012 Anderson Silva <ansilva@redhat.com> - 1.13-2
- Update spec to comply with Fedora Packaging

* Mon Mar 5 2012 Anderson Silva <ansilva@redhat.com> - 1.13-1
- Initial rpm package
